<div class="flex flex-col gap-4">
    {% for site in sites %}
    <div class="flex justify-between items-center border-2 border-black rounded px-2">
        <a>
            {{ site.name }}
        </a>
        <div class="flex gap-2 items-center">
            {% include "partials/update_site.html" with site=site %}
            <button
                class="btn"
                hx-delete="{% url 'delete-site' site.id %}" 
                hx-target="#sites" 
                hx-swap="innerHTML"
                hx-headers='{"X-CSRFToken": "{{ csrf_token }}"}'
            >
                Supprimer
            </button>
        </div>
    </div>
    {% endfor %}
</div>